package requestencoder

import "net/http"

// RequestEncoder generate a string/[]byte based on a request. The returned
// value should be representative of the request and will be signed. Any data
// not in the result may be altered without way of detecting it
type RequestEncoder func(req *http.Request) ([]byte, error)
